<Project Sdk="Microsoft.NET.Sdk">

	<PropertyGroup>
		<TargetFramework>net8.0</TargetFramework>
		<ImplicitUsings>enable</ImplicitUsings>
		<Nullable>enable</Nullable>
	</PropertyGroup>

	<ItemGroup>
	  <Compile Remove="Extensions\**" />
	  <EmbeddedResource Remove="Extensions\**" />
	  <None Remove="Extensions\**" />
	</ItemGroup>

	<ItemGroup>
	  <Compile Remove="Abstracts\BaseProtocolPlugin_bak.cs" />
	  <Compile Remove="QGDW3761Config.cs" />
	</ItemGroup>

	<ItemGroup>
		<PackageReference Include="Microsoft.Extensions.Caching.Abstractions" Version="8.0.0" />
		<PackageReference Include="TouchSocket" Version="3.1.2" />
	</ItemGroup>

	<ItemGroup>
		<ProjectReference Include="..\..\modules\JiShe.CollectBus.FreeRedis\JiShe.CollectBus.FreeRedis.csproj" />
		<ProjectReference Include="..\..\modules\JiShe.CollectBus.Kafka\JiShe.CollectBus.Kafka.csproj" />
		<ProjectReference Include="..\..\services\JiShe.CollectBus.Domain\JiShe.CollectBus.Domain.csproj" />
		<ProjectReference Include="..\..\shared\JiShe.CollectBus.Common\JiShe.CollectBus.Common.csproj" />
	</ItemGroup>

</Project>
